Create Virtual Account

Create new Virtual Account

POST /v0/customers/{customer_id}/virtual-account

Creates a Virtual Account and returns deposit information.

Path parameters

  • customer_id — string (Required) The unique identifier of the customer

Header parameters

  • Authorization — string (Required) Token for authentication

Request body (application/json)

  • source_currency — string · enum (Required) The currency for the source Possible values: usd, eur, aed

  • source_rails — string · enum (Optional) Required only for USD in case you want to accept SWIFT payments Possible values: swift

  • destination_token — string · enum (Optional) The currency to be deposited Possible values: usdc, usdt

  • destination_network — string · enum (Required) The blockchain network for the destination Possible values: polygon, ethereum, solana, base, tron, arbitrum

  • destination_address — string (Optional) The blockchain address where the funds will be sent

  • developer_fee_percent — string (Optional) Custom developer fee percentage for the Virtual Account Example: 0.5 Pattern: ^[0-9]+(\.[0-9]+)?$

Example request

HTTP
POST /v0/customers/{customer_id}/virtual-account HTTP/1.1
Host: gateway.noxxo.com
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "source_currency": "usd",
  "source_rails": "swift",
  "destination_token": "usdc",
  "destination_network": "polygon",
  "destination_address": "text",
  "developer_fee_percent": "0.5"
}

Last updated